Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.IOP
Class TaggedProfileHolder

    java.lang.Object
      |
      +--org.omg.IOP.TaggedProfileHolder

All Implemented Interfaces:
  Streamable

public final class TaggedProfileHolder
extends Object
implements Streamable

Object references have at least one tagged profile. Each profile supports one or more protocols and encapsulates all the basic information the protocols it supports need to identify an object. Any single profile holds enough information to drive a complete invocation using any of the protocols it supports; the content and structure of those profile entries are wholly specified by these protocols.

Field Summary
`TaggedProfile` | `value`

Constructor Summary
`TaggedProfileHolder()`
`TaggedProfileHolder(TaggedProfile initialValue)`

Method Summary
`void` | `_read(InputStream i)` Reads data from `istream` and initalizes the `value` field of the Holder with the unmarshalled data.
`TypeCode` | `_type()` Retrieves the `TypeCode` object corresponding to the value in the `value` field of the Holder.
`void` | `_write(OutputStream o)` Marshals to `ostream` the value in the `value` field of the Holder.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public TaggedProfile value

Constructor Detail

### TaggedProfileHolder

    public TaggedProfileHolder()

### TaggedProfileHolder

    public TaggedProfileHolder(TaggedProfile initialValue)

Method Detail

### _read

    public void _read(InputStream i)

  Description copied from interface: `Streamable`
  Reads data from `istream` and initalizes the `value` field of the Holder with the unmarshalled data.

  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `i` - the InputStream that represents the CDR data from the wire.

### _write

    public void _write(OutputStream o)

  Description copied from interface: `Streamable`
  Marshals to `ostream` the value in the `value` field of the Holder.

  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `o` - the CDR OutputStream

### _type

    public TypeCode _type()

  Description copied from interface: `Streamable`
  Retrieves the `TypeCode` object corresponding to the value in the `value` field of the Holder.

  Specified by:
    `_type` in interface `Streamable`
  Returns:
    the `TypeCode` object for the value held in the holder

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.